wibble::ConsumerMixin< T, Self > Struct Template Reference

`#include <consumer.h>`

Inheritance diagram for wibble::ConsumerMixin< T, Self >:
[legend]
Collaboration diagram for wibble::ConsumerMixin< T, Self >:
[legend]

## Public Types

typedef std::output_iterator_tag | iterator_category
typedef T | ConsumedType

## Public Member Functions

Self & | self ()
const Self & | self () const
bool | operator<= (const Self &o) const
Consumer< T > & | operator++ ()
Consumer< T > & | operator++ (int)
Consumer< T > & | operator* ()
Consumer< T > & | operator= (const T &a)
Public Member Functions inherited from wibble::mixin::Comparable< Self >
const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const

## Member Typedef Documentation

template<typename T, typename Self>

typedef T wibble::ConsumerMixin< T, Self >::ConsumedType

template<typename T, typename Self>

typedef std::output_iterator_tag wibble::ConsumerMixin< T, Self >::iterator_category

## Member Function Documentation

template<typename T, typename Self>

Consumer< T >& wibble::ConsumerMixin< T, Self >::operator* | ( |  | ) |

inline

template<typename T, typename Self>

Consumer< T >& wibble::ConsumerMixin< T, Self >::operator++ | ( |  | ) |

inline

template<typename T, typename Self>

Consumer< T >& wibble::ConsumerMixin< T, Self >::operator++ | ( | int |  | ) |

inline

template<typename T, typename Self>

bool wibble::ConsumerMixin< T, Self >::operator<= | ( | const Self & | o | ) | const

inline

template<typename T, typename Self>

Consumer< T >& wibble::ConsumerMixin< T, Self >::operator= | ( | const T & | a | ) |

inline

template<typename T, typename Self>

Self& wibble::ConsumerMixin< T, Self >::self | ( |  | ) |

inline

template<typename T, typename Self>

const Self& wibble::ConsumerMixin< T, Self >::self | ( |  | ) | const

inline

The documentation for this struct was generated from the following file:

- consumer.h